Subject: bug#5627: 23.1.90; outline-regexp ignores customization

From: Stefan Monnier <[email-masked]>
Date: Wed, 24 Feb 2010 13:31:03 -0500

> customization of this var is the way adapting it at changing needs.
> A defvar seems rather worst.

No, as you have noticed, this variable is major-mode dependent, so
there's no point customizing it with Custom since Custom only knows how
to manipulate default (aka global) settings.

If/when Custom is improved to handle mode-dependent settings, we can
revisit this, but for now it makes no sense to me to provide it as
a defcustom.

        Stefan